const unsigned char font[96][7] = {{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, //
                                   {0xbf, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // !
                                   {0x03, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00}, // "
                                   {0x24, 0x7e, 0x24, 0x24, 0x7e, 0x24, 0x00}, // #
                                   {0x44, 0x4a, 0xd3, 0x22, 0x00, 0x00, 0x00}, // $
                                   {0x82, 0x60, 0x18, 0x06, 0x21, 0x00, 0x00}, // %
                                   {0x60, 0x90, 0x8e, 0xb9, 0x46, 0xb0, 0x00}, // &
                                   {0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // '
                                   {0x7e, 0x81, 0x81, 0x00, 0x00, 0x00, 0x00}, // (
                                   {0x81, 0x81, 0x7e, 0x00, 0x00, 0x00, 0x00}, // )
                                   {0x02, 0x0e, 0x05, 0x0e, 0x02, 0x00, 0x00}, // *
                                   {0x10, 0x38, 0x10, 0x00, 0x00, 0x00, 0x00}, // +
                                   {0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // ,
                                   {0x10, 0x10, 0x10, 0x00, 0x00, 0x00, 0x00}, // -
                                   {0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // .
                                   {0x80, 0x60, 0x18, 0x06, 0x01, 0x00, 0x00}, // /
                                   {0x7e, 0x81, 0x81, 0x7e, 0x00, 0x00, 0x00}, // 0
                                   {0x88, 0x86, 0x7f, 0x40, 0x00, 0x00, 0x00}, // 1
                                   {0x82, 0xc5, 0xb1, 0x8e, 0x40, 0x00, 0x00}, // 2
                                   {0x66, 0x81, 0x89, 0x76, 0x00, 0x00, 0x00}, // 3
                                   {0x10, 0x18, 0x16, 0xff, 0x08, 0x00, 0x00}, // 4
                                   {0x4e, 0x8a, 0x8a, 0x91, 0x61, 0x00, 0x00}, // 5
                                   {0x20, 0x78, 0x96, 0x91, 0x60, 0x00, 0x00}, // 6
                                   {0x02, 0x02, 0xc1, 0x39, 0x07, 0x00, 0x00}, // 7
                                   {0x76, 0x89, 0x89, 0x76, 0x00, 0x00, 0x00}, // 8
                                   {0x06, 0x09, 0x09, 0xfe, 0x00, 0x00, 0x00}, // 9
                                   {0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // :
                                   {0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // ;
                                   {0x10, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00}, // <
                                   {0x28, 0x28, 0x28, 0x00, 0x00, 0x00, 0x00}, // =
                                   {0x28, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00}, // >
                                   {0x06, 0x01, 0xb1, 0x0e, 0x00, 0x00, 0x00}, // ?
                                   {0x3c, 0x42, 0x99, 0xa5, 0xbd, 0xa2, 0x1c}, // @
                                   {0x50, 0x30, 0x1c, 0x23, 0x5c, 0xe0, 0x00}, // A
                                   {0x82, 0x7f, 0x49, 0x36, 0x00, 0x00, 0x00}, // B
                                   {0x3c, 0x42, 0x81, 0x89, 0x86, 0x60, 0x00}, // C
                                   {0x42, 0xff, 0xa1, 0xa1, 0x82, 0x7c, 0x00}, // D
                                   {0x76, 0x89, 0x81, 0x8a, 0x70, 0x00, 0x00}, // E
                                   {0x90, 0x70, 0x1e, 0x0a, 0x0a, 0x01, 0x01}, // F
                                   {0x3c, 0x42, 0x81, 0xb1, 0xaa, 0x48, 0x30}, // G
                                   {0x45, 0x3e, 0x08, 0x1c, 0x6a, 0x80, 0x00}, // H
                                   {0x84, 0x82, 0xff, 0x41, 0x40, 0x00, 0x00}, // I
                                   {0x60, 0x90, 0x81, 0x7f, 0x02, 0x00, 0x00}, // J
                                   {0x7e, 0x08, 0x16, 0x61, 0x80, 0x00, 0x00}, // K
                                   {0x02, 0xff, 0x80, 0x40, 0x40, 0x20, 0x00}, // L
                                   {0x01, 0x7e, 0x01, 0x06, 0x18, 0x06, 0x01}, // M
                                   {0x80, 0x7f, 0x02, 0x0c, 0x30, 0x40, 0x3e}, // N
                                   {0x3c, 0x42, 0x8d, 0x83, 0x42, 0x3c, 0x00}, // O
                                   {0x8a, 0x7f, 0x11, 0x11, 0x0e, 0x00, 0x00}, // P
                                   {0x3c, 0x42, 0x81, 0xa3, 0xa3, 0x45, 0xb8}, // Q
                                   {0x92, 0x7f, 0x09, 0x09, 0x36, 0x40, 0x00}, // R
                                   {0x60, 0x8e, 0x91, 0xa1, 0x46, 0x00, 0x00}, // S
                                   {0x02, 0x02, 0x7f, 0x81, 0x01, 0x00, 0x00}, // T
                                   {0x3e, 0x41, 0x80, 0x80, 0x80, 0x42, 0x3c}, // U
                                   {0x01, 0x06, 0x38, 0xc0, 0x30, 0x0e, 0x01}, // V
                                   {0x01, 0x0e, 0x30, 0x40, 0x20, 0x18, 0x60}, // W
                                   {0x82, 0x80, 0x41, 0x32, 0x0c, 0x38, 0x44}, // X
                                   {0x01, 0x0e, 0xf0, 0x0c, 0x03, 0x00, 0x00}, // Y
                                   {0x04, 0xc2, 0xb2, 0x8d, 0x43, 0x40, 0x20}, // Z
                                   {0xff, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00}, // [
                                   {0x80, 0x60, 0x18, 0x06, 0x01, 0x00, 0x00}, // "\"
                                   {0x81, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00}, // ]
                                   {0x08, 0x06, 0x01, 0x0e, 0x10, 0x00, 0x00}, // ^
                                   {0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00}, // _
                                   {0x03, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00}, // `
                                   {0x64, 0x92, 0x92, 0x92, 0xfc, 0x90, 0x00}, // a
                                   {0x50, 0xfe, 0x89, 0x88, 0x70, 0x00, 0x00}, // b
                                   {0x78, 0x84, 0x82, 0x82, 0x84, 0x60, 0x00}, // c
                                   {0x70, 0x88, 0x88, 0xfe, 0x51, 0x00, 0x00}, // d
                                   {0x7c, 0x92, 0x92, 0x8a, 0x64, 0x10, 0x00}, // e
                                   {0x90, 0x7e, 0x09, 0x01, 0x00, 0x00, 0x00}, // f
                                   {0x00, 0x78, 0x84, 0x84, 0xfe, 0x44, 0x00}, // g
                                   {0x01, 0x7e, 0x08, 0x08, 0x70, 0x80, 0x00}, // h
                                   {0x04, 0x7d, 0x80, 0x00, 0x00, 0x00, 0x00}, // i
                                   {0x00, 0xfd, 0x04, 0x00, 0x00, 0x00, 0x00}, // j
                                   {0x81, 0x7e, 0x08, 0x34, 0x40, 0x00, 0x00}, // k
                                   {0x01, 0x7e, 0x80, 0x00, 0x00, 0x00, 0x00}, // l
                                   {0x3e, 0x04, 0x04, 0x18, 0x04, 0x04, 0x78}, // m
                                   {0x7e, 0x04, 0x04, 0x78, 0x80, 0x00, 0x00}, // n
                                   {0x7c, 0x82, 0x86, 0x84, 0x78, 0x00, 0x00}, // o
                                   {0x48, 0xfe, 0x84, 0x84, 0x78, 0x00, 0x00}, // p
                                   {0x78, 0x84, 0x84, 0xfe, 0x48, 0x00, 0x00}, // q
                                   {0x82, 0x7c, 0x02, 0x02, 0x04, 0x00, 0x00}, // r
                                   {0x60, 0x8c, 0x92, 0x62, 0x04, 0x00, 0x00}, // s
                                   {0x08, 0x7f, 0x84, 0x90, 0x60, 0x00, 0x00}, // t
                                   {0x02, 0x7c, 0x80, 0x80, 0x80, 0x78, 0x80}, // u
                                   {0x02, 0x0c, 0x70, 0x80, 0x78, 0x04, 0x00}, // v
                                   {0x02, 0x0c, 0x70, 0x80, 0x60, 0x18, 0x60}, // w
                                   {0x86, 0x64, 0x18, 0x66, 0x80, 0x00, 0x00}, // x
                                   {0x02, 0x7c, 0x80, 0x80, 0xf8, 0x00, 0x00}, // y
                                   {0x08, 0x84, 0xc4, 0xb2, 0x8e, 0x40, 0x00}, // z
                                   {0xee, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00}, // {
                                   {0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // |
                                   {0x01, 0xee, 0x10, 0x00, 0x00, 0x00, 0x00}, // }
                                   {0x10, 0x08, 0x08, 0x10, 0x10, 0x08, 0x00}, // ~
                                   {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}};